ovladače ATI

Dobrý den,
Nainstaloval jsem F11 síťovou instalací, vše v pořádku, přidal jsem repozitáře RPM Fusion, přesně podle návodu a aktualizoval, v konfiguračních souborech jsem aktivoval enabled=1 a gpg=1 u víše zmíněných repozitářů. Mám grafiku ATI HD 4670, jenže při pokusu o instalaci podle návodu, tj.: yum -y install kmod-fglrx xorg-x11-drv-fglrx v terminálu jako root mi terminál vypíše No package kmod-fglrx available a No package xorg-x11-drv-fglrx available a končí Nothing to do.Nevíte někdo v čem je chyba? Všeobecně nejde instalovat z těchto repo nic. (před tím jsem byl uživatelem Debianu a distribucí postavených na Debianu). Díky za případnou radu

Jako jiz tradicne, fglrx nejde na F11 zkompilovat. Ovladace, ktere ATI/AMD vydavaji jsou proste mizerie. Radeon HD, ktery jsem mel v pocitaci uz jsem davno vyhodil a prasi se mi na nej na stole. Onboardova nvidia je uzitecnejsi.

Zakladni funkce karty obslouzi normlane radeon(hd) ovladac…

Ted koukam jako blazen - ono se to asi uz nejmenuje fglrx ale catalyst.

Zkus
yum install kmod-catalyst xorg-x11-drv-catalyst
viz: http://download1.rpmfusion.org/nonfree/fedora/updates/11/i386/

Kdyby ti to nechtelo porad najit, tak v /etc/yum.repos.d/rpmfusion-nonfree-updates.repo zakomentuj mirrolist a odkomentuj baseurl.

Zdar,
dík za radu, taky na to hledím (rpm-fusion), že je to catalyst. No, ale neviděl jsem tam verzi pro x64bit. A ještě jedna otázka, když mám 512MB GPU, neměl bych použít PAE? Nebo si to systém vybere sám.

Pokud je mě známo, tak PAE je především pro operační paměť, ne pro paměť grafické karty.

PAE je pro adresaci operacni pameti nad 4GB. V prvni rade se ovsem musi pouzit instalovat kernel-PAE, k nemu pak i ovladace-PAE.

Aha, to jsem nevěděl. Neinstaluje se PAE automaticky? Když přece mám 64bit systém, tak mi free ukáže 6GBRAM, které opravdu mám, takže k čemu je dobrá adresace PAE?

Ještě že jsem se sem podíval, já celou dobu vyhlížím ovladač fglrx a oni to přejmenovali, hned to jdu vyzkoušet :slight_smile:

Tak mě konečně ATI ovladače fungují, ale pouze s novým jádrem 2.6.30-5, který je v testing repozitářích, pro toto jádro je pak potřeba nainstalovat kmod-catalyst-2.6.30-5 taky z testing repozitáře RPMfusion. Jinak další problém s tímto ovladačem je ten, že po přihlášení se zasekne kurzor, řešení je přidat do xorg.conf do sekce device tento řádek
Option “SWcursor” “on”

Mám ješte jeden problém, který sem zatím nevyřešil, bliká mi kurzor například při přesouvání okna, nebo když je nad videem, nebo když si zapnu Compiz a posouvám okno tak kolem kurzoru je čtvereček nebo něco takovýho, tak kdyby někdo přišel co to může být tak budu rád za vyřešení :)-

To vypadá na nějaký problém přímo ovladačů ATI, popřípadě na kombinaci ovladačů ATI s tím Option “SWcursor” “on”. Bohužel nevyzkouším ATI naštěstí nemám =)

lecter4286 napsal(a):

Aha, to jsem nevěděl. Neinstaluje se PAE
automaticky? Když přece mám 64bit systém, tak
mi free ukáže 6GBRAM, které opravdu mám,
takže k čemu je dobrá adresace PAE?

64bitove systemu PAE nepotrebuji. Dostupne kernely jsou
i586 - pro 32b systemy (lze pouzit i na 64b architekturu ve 32b modu)
i686 - pro novejsi 32b systemy (lze pouzit i na 64b architekturu ve 32b modu)
i686-PAE - pro 32b systemy s vice nez 4GB RAM (lze pouzit i na 64b architekturu ve 32b modu)
x86_64 - pro 64b systemy (tento se pouziva pouze v pripade ze, je cela instalace provedena jako 64b)

Současný catalyst driver mi nefunguje, asi taky zkusím ten z testing repo.

Mám ješte jeden problém, který sem zatím nevyřešil, bliká mi kurzor například při přesouvání okna, nebo když je nad videem, nebo když si zapnu Compiz a posouvám okno tak kolem kurzoru je čtvereček nebo něco takovýho, tak kdyby někdo přišel co to může být tak budu rád za vyřešení smiling smiley-

Zatím zřejmě řešení neexistuje :frowning: Řeší se to též na Howto for fglrx / catalyst (Ati driver) - Page 240 a marné snažení tam hlinger shrnuje:

So far as I have read, everyone has seen the exact same cursor “flicker” or “corruption”, with no known fix at this time. IMHO, it’s a driver bug, and so ATI’s problem to fix. If someone has a fix (or suggestions), please post.

Alespoň mě příjemně překvapilo (po předchozích zkušenostech s ATI), že jsou ovladače v nové verzi Fedory k mání již tak brzy…

A ještě jedno “příjemný” překvapení, AMD od F11 přestává podporovat mou grafárnu ati X1300, to jsou kozlové :X dál od nich grr

http://support.amd.com/us/gpudownload/linux/Legacy/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.9&lang=English

To není od F11, to je od vydání Catalystů 9.3 tuším :slight_smile:

Nvidia dela to same, takze zde na vyber moc neni… jedine doufat ze “nekdo” dodela tu podporu pro normalni radeon driver.

premet napsal(a):

To není od F11, to je od vydání Catalystů 9.3
tuším :slight_smile:

Souvisí to s novýma Xkama (1.6) co jsou v F11, pro která není Cat. 9.3 dělanej a ani pro starší karty nebude. Prý to lze řešit downgradem na xka 1.5, tak to možná vyzkouším, ale radši až s tím bude mít zkušenost víc lidí - což snad bude, protože tenhleten problém by měl být i v novém bubuntu (tuším 9.04).

Zdravím, tak jsem zpět na Fedoře (přechod z openSuse, kde byly velké problémy s repozitáři a instalací catalistů)a přinesl jsem si sebou ATI 4670. V ubuntu jsem provedl instalaci ručně z terminálu, potřeboval jsem doinstalovat nějaké balíky jako třeba dkms, linux-headers($),libstdc++6 atd… Mám F12 a nevím si rady s intalací nových Catalistů 9.10. Chtěl bych to udělat ručně z terminálu. Může mi někdo zkušenější poradit jak an to?

Postup je v prirucce, ale pro F12 catalysty zatim nefunguji vubec.

A nevíte od které verze budou asi fungovat?9.11? nebo přibližné datum. A v čem asi tak může problém?

Problem je… no zalezi na uhlu pohledu - bud v ATi, ktere nesleduje vyvoj Xorg, nebo ve vyvojarich Xorg, kteri jdou v pred bez ohledu na uzavrene ovladace, jejichz vyvoj nemohou ovlivnit.
Datum vydani aktualizovane verze ovladacu od ATi musis zjistit u nich. Obecne ale ATi zrovna rychlosti vydani oprav svych ovladacu neproslulo.